Skip to main content
POST
/
api
/
v1
/
mcp
/
transfer_to_user
Transfer USDC to user via spend permission
curl --request POST \
  --url https://api.hevn.finance/api/v1/mcp/transfer_to_user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "amount": 123,
  "email": "<string>"
}
'
{
  "txHash": "<string>",
  "userCreated": false,
  "emailSent": false
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required
x-api-key
string
required

Body

application/json
amount
number
required
email
string
required
memo
string | null

Response

Successful Response

txHash
string | null
userCreated
boolean
default:false
emailSent
boolean
default:false